Bug 1051999 - (CVE-2014-0008) CVE-2014-0008 moodle: some passwords visible in the config changes report (MSA-14-0001)
CVE-2014-0008 moodle: some passwords visible in the config changes report (MS...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140120,repor...
: Security
Depends On: 1055388 1055390
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 00:08 EST by Murray McAllister
Modified: 2015-08-22 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-01-13 00:08:37 EST
Andrew Steele found that some password changes were visible in plain text to Administrators in the config changes report. This issue affected Moodle versions 2.6, 2.5 to 2.5.4, 2.4 to 2.4.7 and earlier unsupported versions. It has been fixed in versions 2.6.1, 2.5.4 and 2.4.8.

I have not checked if versions 1.9.19 in EPEL 5 is affected or not.

Patch:

http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-36721
Comment 1 Ratul Gupta 2014-01-20 02:20:56 EST
Created moodle tracking bugs for this issue:

Affects: fedora-all [bug 1055388]
Affects: epel-all [bug 1055390]
Comment 2 Murray McAllister 2014-01-20 18:28:27 EST
Upstream announcement:

https://moodle.org/mod/forum/discuss.php?d=252414

Note You need to log in before you can comment on or make changes to this bug.